class ColorsController < ApplicationController
  # Proxy Controller to Rx-Data

  def index
    render json: RxModule::Communicator.call_module_method_internal('rx_data', '/api/colors', :get, params)
  rescue StandardError => e
    render status: :internal_server_error, json: {error: 'unexpected error.', details: e}
  end
end
