class OperatorNotesController < ApplicationController
  model_data_store(OperatorNote)

  def before_filter(filter)
    filter[:value] = OperatorNote.display_groups[filter[:value]] if filter[:id] == 'display_group'
    filter
  end

  private

  def model_params
    params.fetch(:operator_note).permit(:code, :description, :operator_note_group_id, :eer_category_id, :display_group)
  end
end
