import * as React from "react";
import {observer} from "mobx-react-lite";
import {BoxCoaterEventModel} from "../../../stores/BoxCoaterEventStore";

type BreadModelBatchIdProps = {
    event: BoxCoaterEventModel;
}

export const BreadModelBatchId: React.FunctionComponent<BreadModelBatchIdProps> = observer(({event}) => {
    if(!event.batch || !event.batch.batch_id){
        return null;
    }

    return (
        <>{event.batch.batch_id}</>
    )
})
