import * as React from "react";
import {observer} from "mobx-react-lite";
import {BoxCoaterEventModel} from "../../../stores/BoxCoaterEventStore";
import {Grid} from "@material-ui/core";
import {BoxCoaterOperatorNoteEditForm} from "./BoxCoaterOperatorNoteEditForm";

type BoxCoaterEvenFormDoorOpenedProps = {
    model: BoxCoaterEventModel
}

export const BoxCoaterEvenFormDoorOpened: React.FunctionComponent<BoxCoaterEvenFormDoorOpenedProps> = observer(({model}) => {
    return (
        <React.Fragment>
            <Grid item>
                <BoxCoaterOperatorNoteEditForm model={model}/>
            </Grid>
        </React.Fragment>
    )
})
