# == Schema Information
#
# Table name: eer_categories
#
#  id          :bigint           not null, primary key
#  color       :string
#  name        :string
#  report_code :integer
#
class EerCategory < ApplicationRecord
  has_many :operator_notes

  enum report_code: %i[unknown programmed_stop breakdown_machine breakdown_utility maintenance_usual_pm maintenance_usual_daily idle_time_open idle_time_wait production_setup speed_loss]
end

