# == Schema Information
#
# Table name: operator_note_groups
#
#  id             :bigint           not null, primary key
#  group_code     :string
#  name           :string
#  system_default :boolean          default(FALSE)
#
class OperatorNoteGroup < ApplicationRecord
  has_many :station_operator_note_groups, dependent: :destroy
  has_many :eer_tracking_stations, through: :station_operator_note_groups
  has_many :operator_notes, dependent: :destroy
end
