module OperatorNotes
  class OperatorNoteCategories
    class << self
      def instantiate_all
        EerCategory.create_with(color: '#ABB2B9', name: 'Unknown').find_or_create_by(report_code: 0)
        EerCategory.create_with(color: '#598C5E', name: 'Programmed Production Stop').find_or_create_by(report_code: 1)
        EerCategory.create_with(color: '#6ECBA6', name: 'Breakdown - Machine').find_or_create_by(report_code: 2)
        EerCategory.create_with(color: '#66BA9A', name: 'Breakdown - Utilities').find_or_create_by(report_code: 3)
        EerCategory.create_with(color: '#68D7DF', name: 'Usual Maintenance - PM').find_or_create_by(report_code: 4)
        EerCategory.create_with(color: '#3AAFB8', name: 'Usual Maintenance - Daily Cleaning/Degassing').find_or_create_by(report_code: 5)
        EerCategory.create_with(color: '#EA7C61', name: 'Idle Time - Door Open').find_or_create_by(report_code: 6)
        EerCategory.create_with(color: '#EF461C', name: 'Idle Time - Waiting').find_or_create_by(report_code: 7)
        EerCategory.create_with(color: '#FF9900', name: 'Production Setup').find_or_create_by(report_code: 8)
        EerCategory.create_with(color: '#40E052', name: 'Speed Loss').find_or_create_by(report_code: 9)
      end
    end
  end
end
