# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.0.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-EER/compare/v0.2.3-pre.3...v1.0.0) (2023-05-31)

### [0.2.3-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.2.3-pre.2...v0.2.3-pre.3) (2023-05-30)

### [0.2.3-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.2.3-pre.1...v0.2.3-pre.2) (2023-05-12)

### [0.2.3-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.2.3-pre.0...v0.2.3-pre.1) (2023-05-11)

### [0.2.3-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.1.6...v0.2.3-pre.0) (2023-05-11)


### Features

* added real time machine state viewing ([4f0dcad](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/4f0dcad5795c51678edfb8eef1da4d05e470f127))
* added workstation support ([b8252cc](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b8252ccc3daa74c75263e32e3f85083ffa0dc223))
* move engineering lockout to stand alone protected page ([7b4f64b](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/7b4f64befefba795a935162150581098cf585107))
* ruby 2.7 ([7241ad4](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/7241ad4ab9ef7de3bdc27d79ae29aa5d0e073b23))


### Bug Fixes

* changed database.yml to use "DATABASE_URL" instead of  "PROD_DATABASE_URL" env variable for production ([b64746a](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b64746ae8e563459cb8b4c4fa40a11ddc747ad79))
* check for blank instead of nil to stop permission problem from throwing ([91bd5a1](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/91bd5a141bfdd62dbccccdf65e7ed52396964f28))
* dateTime picker cutting off in workstations ([e2eb0d6](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/e2eb0d6c72f6bc4b58411516b1dbde4741f58e65))
* Do not allow more than one tracking station per machine ([585232a](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/585232a6d9a1cffefc760d5f73b12c8d9717081f))
* filter wouldnt work with both mssql and postgres ([5c86779](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/5c867799b7dcd59a67c35c5183f9f16e3c0a0808))
* list item overlapping on small screens ([b5c5505](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b5c550575fec558a1bdb88fc0421290629dd663b))
* now fetching notes whenever notes need to be entered, and filtered note groups with selected groups ([c3de909](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/c3de9093e6ac9940b66991a088877629162de45e))
* only allow new tracking stations to change machine sn ([9517a1e](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9517a1ed2dda52ba8cdf76f8e1ab235070e025c1))
* operator note entry message depends on event_type ([f6bc512](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/f6bc51281c273e256b0dda2ab84cc6c07fb85999))
* padded papper for lens entry ([1ab60ef](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1ab60ef79da815886e1a2acaa4519f9a248f26ae))
* remove import/export from yield form ([9282c7c](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9282c7ca8635abb610a1798f22218cc30eeeba8b))
* remove yields ([442afbe](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/442afbef26840e74eb179362801a9cedf40bea2c))
* rerender timer when switching events ([c25be57](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/c25be57fd432ef4b074776acbc5daa99899a888d))
* resolving events that are closed and have opreator note ([2a2a252](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/2a2a25215661a9f38fd061c95be92bf2a694307d))
* respect EER workstation permissions ([526a86f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/526a86f228bf7addefbee0c217613476f3fe4cc3))
* send engineering lockout snackbar to workstation ([1867267](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/18672677e8ac69f056257e206d4873ea7937a8ea))
* send snackBar to workstation ([07c5e61](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/07c5e610f024131db4ffbce417cef016e686883d))
* showing machine sn in tracking station ([534f0d8](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/534f0d86f6848b9a1bba537d841781668151c3df))
* switched modelProvider for modelForm ([2aac285](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/2aac285ca1ac25cd8b6e5c9661931269a233ba55))
* timer jumps to 0 when EER event data comes in ([1c47318](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1c47318a61bef94334a43c3344120d4b7aa29df2))
* timer seconds not rounded. ([403017c](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/403017cd32fc61073be04499fa4ee58db90f0922))
* timer wont reset down to zero on event update ([0b19106](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/0b1910639a8c23554111e6e071719160f6e4f314))
* tweak operator form field names ([48af46f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/48af46f23c0189d1e96b8c1542a1273b2cdc27b7))
* Use event close time instead of server time to resolve EER events ([ad4da8f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/ad4da8f36947e8c138dbf3b1fbda346d894438ab))
* use recipe name when recipe is known. ([14de5fe](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/14de5fee71b978cf80ed524e12b965959f3ff8a0))
* use recipes from rx-data ([def0bc3](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/def0bc3b48f3c9dd7fbb8c7f9791cbddeb93a68e))
* When door closed information shows, some information is lost due to workstation frame size ([9cfa8f6](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9cfa8f6e0bfd3619f1dd98829710e3bfafc811af))
* when no eer_event sent from data, return empty array to view ([1c18f53](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1c18f530dffd1632ea3be2a52d7ad12370ccc584))
* yield form clearing after submission, and changed create_yield route to just a regular create ([3992c22](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/3992c22b8c1ccd386a312e97dd8d67d67af15637))

### [0.2.2](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.2.1...v0.2.2) (2022-09-07)


### Bug Fixes

* list item overlapping on small screens ([b5c5505](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b5c550575fec558a1bdb88fc0421290629dd663b))
* timer seconds not rounded. ([403017c](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/403017cd32fc61073be04499fa4ee58db90f0922))
* use recipe name when recipe is known. ([14de5fe](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/14de5fee71b978cf80ed524e12b965959f3ff8a0))

### [0.2.1](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.1.6...v0.2.1) (2022-08-15)


### Features

* added real time machine state viewing ([4f0dcad](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/4f0dcad5795c51678edfb8eef1da4d05e470f127))
* added workstation support ([b8252cc](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b8252ccc3daa74c75263e32e3f85083ffa0dc223))


### Bug Fixes

* changed database.yml to use "DATABASE_URL" instead of  "PROD_DATABASE_URL" env variable for production ([b64746a](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b64746ae8e563459cb8b4c4fa40a11ddc747ad79))
* check for blank instead of nil to stop permission problem from throwing ([91bd5a1](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/91bd5a141bfdd62dbccccdf65e7ed52396964f28))
* dateTime picker cutting off in workstations ([e2eb0d6](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/e2eb0d6c72f6bc4b58411516b1dbde4741f58e65))
* Do not allow more than one tracking station per machine ([585232a](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/585232a6d9a1cffefc760d5f73b12c8d9717081f))
* filter wouldnt work with both mssql and postgres ([5c86779](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/5c867799b7dcd59a67c35c5183f9f16e3c0a0808))
* now fetching notes whenever notes need to be entered, and filtered note groups with selected groups ([c3de909](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/c3de9093e6ac9940b66991a088877629162de45e))
* only allow new tracking stations to change machine sn ([9517a1e](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9517a1ed2dda52ba8cdf76f8e1ab235070e025c1))
* operator note entry message depends on event_type ([f6bc512](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/f6bc51281c273e256b0dda2ab84cc6c07fb85999))
* padded papper for lens entry ([1ab60ef](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1ab60ef79da815886e1a2acaa4519f9a248f26ae))
* remove import/export from yield form ([9282c7c](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9282c7ca8635abb610a1798f22218cc30eeeba8b))
* remove yields ([442afbe](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/442afbef26840e74eb179362801a9cedf40bea2c))
* rerender timer when switching events ([c25be57](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/c25be57fd432ef4b074776acbc5daa99899a888d))
* resolving events that are closed and have opreator note ([2a2a252](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/2a2a25215661a9f38fd061c95be92bf2a694307d))
* send engineering lockout snackbar to workstation ([1867267](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/18672677e8ac69f056257e206d4873ea7937a8ea))
* send snackBar to workstation ([07c5e61](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/07c5e610f024131db4ffbce417cef016e686883d))
* showing machine sn in tracking station ([534f0d8](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/534f0d86f6848b9a1bba537d841781668151c3df))
* switched modelProvider for modelForm ([2aac285](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/2aac285ca1ac25cd8b6e5c9661931269a233ba55))
* timer jumps to 0 when EER event data comes in ([1c47318](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1c47318a61bef94334a43c3344120d4b7aa29df2))
* timer wont reset down to zero on event update ([0b19106](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/0b1910639a8c23554111e6e071719160f6e4f314))
* tweak operator form field names ([48af46f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/48af46f23c0189d1e96b8c1542a1273b2cdc27b7))
* Use event close time instead of server time to resolve EER events ([ad4da8f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/ad4da8f36947e8c138dbf3b1fbda346d894438ab))
* When door closed information shows, some information is lost due to workstation frame size ([9cfa8f6](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9cfa8f6e0bfd3619f1dd98829710e3bfafc811af))
* when no eer_event sent from data, return empty array to view ([1c18f53](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1c18f530dffd1632ea3be2a52d7ad12370ccc584))
* yield form clearing after submission, and changed create_yield route to just a regular create ([3992c22](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/3992c22b8c1ccd386a312e97dd8d67d67af15637))

### [0.2.1-pre.4](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.2.1-pre.3...v0.2.1-pre.4) (2022-08-11)

### [0.2.1-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.2.1-pre.2...v0.2.1-pre.3) (2022-08-09)

### [0.2.1-pre.2](https://git.satisloh.dev///compare/v0.2.1-pre.1...v0.2.1-pre.2) (2022-08-09)

### [0.2.1-pre.1](https://git.satisloh.dev///compare/v0.2.1-pre.0...v0.2.1-pre.1) (2022-08-09)

### [0.2.1-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/eer/compare/v0.1.6...v0.2.1-pre.0) (2022-08-09)


### Features

* added real time machine state viewing ([4f0dcad](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/4f0dcad5795c51678edfb8eef1da4d05e470f127))
* added workstation support ([b8252cc](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b8252ccc3daa74c75263e32e3f85083ffa0dc223))
* ruby 2.7 ([7241ad4](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/7241ad4ab9ef7de3bdc27d79ae29aa5d0e073b23))


### Bug Fixes

* changed database.yml to use "DATABASE_URL" instead of  "PROD_DATABASE_URL" env variable for production ([b64746a](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/b64746ae8e563459cb8b4c4fa40a11ddc747ad79))
* check for blank instead of nil to stop permission problem from throwing ([91bd5a1](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/91bd5a141bfdd62dbccccdf65e7ed52396964f28))
* dateTime picker cutting off in workstations ([e2eb0d6](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/e2eb0d6c72f6bc4b58411516b1dbde4741f58e65))
* Do not allow more than one tracking station per machine ([585232a](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/585232a6d9a1cffefc760d5f73b12c8d9717081f))
* filter wouldnt work with both mssql and postgres ([5c86779](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/5c867799b7dcd59a67c35c5183f9f16e3c0a0808))
* now fetching notes whenever notes need to be entered, and filtered note groups with selected groups ([c3de909](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/c3de9093e6ac9940b66991a088877629162de45e))
* only allow new tracking stations to change machine sn ([9517a1e](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9517a1ed2dda52ba8cdf76f8e1ab235070e025c1))
* operator note entry message depends on event_type ([f6bc512](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/f6bc51281c273e256b0dda2ab84cc6c07fb85999))
* padded papper for lens entry ([1ab60ef](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1ab60ef79da815886e1a2acaa4519f9a248f26ae))
* remove import/export from yield form ([9282c7c](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9282c7ca8635abb610a1798f22218cc30eeeba8b))
* remove yields ([442afbe](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/442afbef26840e74eb179362801a9cedf40bea2c))
* rerender timer when switching events ([c25be57](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/c25be57fd432ef4b074776acbc5daa99899a888d))
* resolving events that are closed and have opreator note ([2a2a252](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/2a2a25215661a9f38fd061c95be92bf2a694307d))
* send engineering lockout snackbar to workstation ([1867267](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/18672677e8ac69f056257e206d4873ea7937a8ea))
* send snackBar to workstation ([07c5e61](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/07c5e610f024131db4ffbce417cef016e686883d))
* showing machine sn in tracking station ([534f0d8](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/534f0d86f6848b9a1bba537d841781668151c3df))
* switched modelProvider for modelForm ([2aac285](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/2aac285ca1ac25cd8b6e5c9661931269a233ba55))
* timer jumps to 0 when EER event data comes in ([1c47318](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1c47318a61bef94334a43c3344120d4b7aa29df2))
* timer wont reset down to zero on event update ([0b19106](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/0b1910639a8c23554111e6e071719160f6e4f314))
* tweak operator form field names ([48af46f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/48af46f23c0189d1e96b8c1542a1273b2cdc27b7))
* Use event close time instead of server time to resolve EER events ([ad4da8f](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/ad4da8f36947e8c138dbf3b1fbda346d894438ab))
* When door closed information shows, some information is lost due to workstation frame size ([9cfa8f6](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/9cfa8f6e0bfd3619f1dd98829710e3bfafc811af))
* when no eer_event sent from data, return empty array to view ([1c18f53](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/1c18f530dffd1632ea3be2a52d7ad12370ccc584))
* yield form clearing after submission, and changed create_yield route to just a regular create ([3992c22](https://git.satisloh.dev/rx-suite/modules/optional/eer/commit/3992c22b8c1ccd386a312e97dd8d67d67af15637))

### [0.1.13](https://git.satisloh.dev///compare/v0.1.11...v0.1.13) (2022-03-25)


### Bug Fixes

* changed database.yml to use "DATABASE_URL" instead of  "PROD_DATABASE_URL" env variable for production ([b64746a](https://git.satisloh.dev///commit/b64746ae8e563459cb8b4c4fa40a11ddc747ad79))
* resolving events that are closed and have opreator note ([2a2a252](https://git.satisloh.dev///commit/2a2a25215661a9f38fd061c95be92bf2a694307d))

### [0.1.12](https://git.satisloh.dev///compare/v0.1.10...v0.1.12) (2021-11-22)

### [0.1.10](https://git.satisloh.dev///compare/v0.1.9...v0.1.10) (2021-11-22)


### Features

* added real time machine state viewing ([4f0dcad](https://git.satisloh.dev///commit/4f0dcad5795c51678edfb8eef1da4d05e470f127))
* added workstation support ([b8252cc](https://git.satisloh.dev///commit/b8252ccc3daa74c75263e32e3f85083ffa0dc223))


### Bug Fixes

* check for blank instead of nil to stop permission problem from throwing ([91bd5a1](https://git.satisloh.dev///commit/91bd5a141bfdd62dbccccdf65e7ed52396964f28))
* dateTime picker cutting off in workstations ([e2eb0d6](https://git.satisloh.dev///commit/e2eb0d6c72f6bc4b58411516b1dbde4741f58e65))
* Do not allow more than one tracking station per machine ([585232a](https://git.satisloh.dev///commit/585232a6d9a1cffefc760d5f73b12c8d9717081f))
* filter wouldnt work with both mssql and postgres ([5c86779](https://git.satisloh.dev///commit/5c867799b7dcd59a67c35c5183f9f16e3c0a0808))
* now fetching notes whenever notes need to be entered, and filtered note groups with selected groups ([c3de909](https://git.satisloh.dev///commit/c3de9093e6ac9940b66991a088877629162de45e))
* only allow new tracking stations to change machine sn ([9517a1e](https://git.satisloh.dev///commit/9517a1ed2dda52ba8cdf76f8e1ab235070e025c1))
* operator note entry message depends on event_type ([f6bc512](https://git.satisloh.dev///commit/f6bc51281c273e256b0dda2ab84cc6c07fb85999))
* padded papper for lens entry ([1ab60ef](https://git.satisloh.dev///commit/1ab60ef79da815886e1a2acaa4519f9a248f26ae))
* remove import/export from yield form ([9282c7c](https://git.satisloh.dev///commit/9282c7ca8635abb610a1798f22218cc30eeeba8b))
* remove yields ([442afbe](https://git.satisloh.dev///commit/442afbef26840e74eb179362801a9cedf40bea2c))
* rerender timer when switching events ([c25be57](https://git.satisloh.dev///commit/c25be57fd432ef4b074776acbc5daa99899a888d))
* resolving events that are closed and have opreator note ([2a2a252](https://git.satisloh.dev///commit/2a2a25215661a9f38fd061c95be92bf2a694307d))
* send engineering lockout snackbar to workstation ([1867267](https://git.satisloh.dev///commit/18672677e8ac69f056257e206d4873ea7937a8ea))
* send snackBar to workstation ([07c5e61](https://git.satisloh.dev///commit/07c5e610f024131db4ffbce417cef016e686883d))
* showing machine sn in tracking station ([534f0d8](https://git.satisloh.dev///commit/534f0d86f6848b9a1bba537d841781668151c3df))
* switched modelProvider for modelForm ([2aac285](https://git.satisloh.dev///commit/2aac285ca1ac25cd8b6e5c9661931269a233ba55))
* timer jumps to 0 when EER event data comes in ([1c47318](https://git.satisloh.dev///commit/1c47318a61bef94334a43c3344120d4b7aa29df2))
* timer wont reset down to zero on event update ([0b19106](https://git.satisloh.dev///commit/0b1910639a8c23554111e6e071719160f6e4f314))
* tweak operator form field names ([48af46f](https://git.satisloh.dev///commit/48af46f23c0189d1e96b8c1542a1273b2cdc27b7))
* Use event close time instead of server time to resolve EER events ([ad4da8f](https://git.satisloh.dev///commit/ad4da8f36947e8c138dbf3b1fbda346d894438ab))
* When door closed information shows, some information is lost due to workstation frame size ([9cfa8f6](https://git.satisloh.dev///commit/9cfa8f6e0bfd3619f1dd98829710e3bfafc811af))
* yield form clearing after submission, and changed create_yield route to just a regular create ([3992c22](https://git.satisloh.dev///commit/3992c22b8c1ccd386a312e97dd8d67d67af15637))

### [0.1.9](http://omics.dyndns.biz:4747///compare/v0.1.8...v0.1.9) (2021-06-15)

### [0.1.8](http://omics.dyndns.biz:4747///compare/v0.1.7...v0.1.8) (2021-06-15)


### Bug Fixes

* when no eer_event sent from data, return empty array to view ([1c18f53](http://omics.dyndns.biz:4747///commit/1c18f530dffd1632ea3be2a52d7ad12370ccc584))

### [0.1.7](http://omics.dyndns.biz:4747///compare/v0.1.3...v0.1.7) (2021-06-14)


### Bug Fixes

* commit master.key ([5a40179](http://omics.dyndns.biz:4747///commit/5a401795f0f8af0358443e6ed5a68dda8f25a575))
* implement the rest of the webpack config changes ([b69904f](http://omics.dyndns.biz:4747///commit/b69904fd8a28ed8061d1007236ce59c2a83ef9a8))
* implement webpack config changes ([9fab996](http://omics.dyndns.biz:4747///commit/9fab996d1c45fd28e86715d920f09a792ff563ef))

### [0.1.6](http://omics.dyndns.biz:4747///compare/v0.1.5...v0.1.6) (2021-06-14)


### Bug Fixes

* implement the rest of the webpack config changes ([b69904f](http://omics.dyndns.biz:4747///commit/b69904fd8a28ed8061d1007236ce59c2a83ef9a8))
* implement webpack config changes ([9fab996](http://omics.dyndns.biz:4747///commit/9fab996d1c45fd28e86715d920f09a792ff563ef))

### [0.1.5](http://omics.dyndns.biz:4747///compare/v0.1.4...v0.1.5) (2021-06-14)

### 0.1.4 (2021-06-14)


### Features

* Added base models to EER tracking module ([139ae07](http://omics.dyndns.biz:4747///commit/139ae073a03d7f395f140786fbe60e8c715ea248))
* added eer_categories ([ac11074](http://omics.dyndns.biz:4747///commit/ac11074b535957269e2a634d92db0db99fca43d9))
* added eer_categories ([0baff3e](http://omics.dyndns.biz:4747///commit/0baff3e18b17b0e2cb082f3a5d93eb37561a9d1a))
* added eer_categories ([7438336](http://omics.dyndns.biz:4747///commit/7438336783835a0b32b4da69a273abe6c651e930))
* door closed events now working ([f552747](http://omics.dyndns.biz:4747///commit/f5527470f9167ceb6915c0e828b116d0ecfb588f))
* Now sending max_time to rx-data so it can calculate time_over_max ([4535e06](http://omics.dyndns.biz:4747///commit/4535e06b8afcae8cab7146382c7567a66ffba9fb))


### Bug Fixes

* added yield and engineering lockouts ([72eb785](http://omics.dyndns.biz:4747///commit/72eb7852eb78d8a489d5e720cfb051c77e510801))
* added yield and engineering lockouts ([e446257](http://omics.dyndns.biz:4747///commit/e446257fa1b564f2220625ec47f4f2be86c16cd9))
* commit master.key ([5a40179](http://omics.dyndns.biz:4747///commit/5a401795f0f8af0358443e6ed5a68dda8f25a575))
* Creating or deleting a tracking station in the front-end wouldnt update the tracking stations children in routes ([5c98dd0](http://omics.dyndns.biz:4747///commit/5c98dd08f9d14c8dd17aef8074f2a6d5e6b10153))
* multiple fixes ([7ec9f13](http://omics.dyndns.biz:4747///commit/7ec9f1365fd4d86059333ef180d15723d1cba8f2))

### [0.1.3](http://omics.dyndns.biz:4747///compare/v0.1.2...v0.1.3) (2021-06-14)

### [0.1.2](http://omics.dyndns.biz:4747///compare/v0.1.1...v0.1.2) (2021-06-14)

### 0.1.1 (2021-06-11)


### Features

* Added base models to EER tracking module ([139ae07](http://omics.dyndns.biz:4747///commit/139ae073a03d7f395f140786fbe60e8c715ea248))
* added eer_categories ([ac11074](http://omics.dyndns.biz:4747///commit/ac11074b535957269e2a634d92db0db99fca43d9))
* added eer_categories ([0baff3e](http://omics.dyndns.biz:4747///commit/0baff3e18b17b0e2cb082f3a5d93eb37561a9d1a))
* added eer_categories ([7438336](http://omics.dyndns.biz:4747///commit/7438336783835a0b32b4da69a273abe6c651e930))
* door closed events now working ([f552747](http://omics.dyndns.biz:4747///commit/f5527470f9167ceb6915c0e828b116d0ecfb588f))
* Now sending max_time to rx-data so it can calculate time_over_max ([4535e06](http://omics.dyndns.biz:4747///commit/4535e06b8afcae8cab7146382c7567a66ffba9fb))


### Bug Fixes

* added yield and engineering lockouts ([72eb785](http://omics.dyndns.biz:4747///commit/72eb7852eb78d8a489d5e720cfb051c77e510801))
* added yield and engineering lockouts ([e446257](http://omics.dyndns.biz:4747///commit/e446257fa1b564f2220625ec47f4f2be86c16cd9))
* Creating or deleting a tracking station in the front-end wouldnt update the tracking stations children in routes ([5c98dd0](http://omics.dyndns.biz:4747///commit/5c98dd08f9d14c8dd17aef8074f2a6d5e6b10153))
* multiple fixes ([7ec9f13](http://omics.dyndns.biz:4747///commit/7ec9f1365fd4d86059333ef180d15723d1cba8f2))
