class BoxCoaterRecipesController < ApplicationController

  # NOTE: PROXY CONTROLLER - for fetching box_coater_recipes from same controller in Rx-Data

  def index
    resp = RxModule::Communicator.call_module_method(
      'rx_data',
      "#{rx_data_box_coater_base_url}",
      :get
    )
    render json: resp
  rescue => e
    render json: {error: "Internal Server Error", details: e}, status: :internal_server_error
  end

  private

  def rx_data_box_coater_base_url
    "/api/box_coater_recipes"
  end
end
