# == Schema Information
#
# Table name: station_operator_note_groups
#
#  id                      :bigint           not null, primary key
#  eer_tracking_station_id :bigint
#  operator_note_group_id  :bigint
#
# Indexes
#
#  index_station_operator_note_groups_on_eer_tracking_station_id  (eer_tracking_station_id)
#  index_station_operator_note_groups_on_operator_note_group_id   (operator_note_group_id)
#
class StationOperatorNoteGroup < ApplicationRecord
  belongs_to :operator_note_group
  belongs_to :eer_tracking_station
end
