RxModule.configure do |config|
  config.module_id = 'rx_eer'
  config.module_name = 'Rx-EER'
  config.rx_hub_url = ENV['RX_HUB_URL']
  config.module_description = 'Tracking the performance of Box Coater Machines'
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "logo.png")
  config.mes_logo = Rails.root.join("public", "mes-logo.png")
  config.audit = false
  config.disable_worker_broadcasts = true
  config.module_version = File.open(Rails.root.join('package.json')) do |f|
    JSON.load(f, nil, { create_additions: false, symbolize_names: true })[:version]
  end
end